<?php

namespace App;

class Utilidades {

	public static function limpiar($parametro = null) {

		switch (gettype($parametro)) {

			case 'string': $parametro = preg_replace('/\s+/', ' ', trim($parametro)); break;

			case 'object':

				foreach($parametro as $campo => $valor) {

					if ($valor === false) {

						$valor = 0;

						$parametro->$campo = $valor;

					}

					if ($valor === null || trim($valor) === '')
						unset($parametro->$campo);

				}

			break;

			case 'array':

				foreach($parametro as $indice => $valor) {

					if ($indice === 0)
						$parametro = []
					;

					if ($valor !== null && trim($valor) !== '')
						$parametro[] = $valor === false ? 0 : $valor
					;

				}

			break;

			default:
			break;

		}

		return $parametro;

	}

}